/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VRestValuelist;

import org.jooq.JSONB;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VRestValuelistRecord extends TableRecordImpl<VRestValuelistRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_rest_valuelist.list_id</code>.
     */
    public void setListId(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_valuelist.list_id</code>.
     */
    public Integer getListId() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_rest_valuelist.valuelist</code>.
     */
    public void setValuelist(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_valuelist.valuelist</code>.
     */
    public String getValuelist() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_rest_valuelist.locale</code>.
     */
    public void setLocale(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_valuelist.locale</code>.
     */
    public String getLocale() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_rest_valuelist.variables</code>.
     */
    public void setVariables(JSONB value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_valuelist.variables</code>.
     */
    public JSONB getVariables() {
        return (JSONB) get(3);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VRestValuelistRecord
     */
    public VRestValuelistRecord() {
        super(VRestValuelist.V_REST_VALUELIST);
    }

    /**
     * Create a detached, initialised VRestValuelistRecord
     */
    public VRestValuelistRecord(Integer listId, String valuelist, String locale, JSONB variables) {
        super(VRestValuelist.V_REST_VALUELIST);

        setListId(listId);
        setValuelist(valuelist);
        setLocale(locale);
        setVariables(variables);
        resetChangedOnNotNull();
    }
}
